Ángel Julián

Ángel Julián

Diseño y desarrollo de sitios, especialmente de comercio electrónico con WordPress y WooCommerce

El 18 de abril se anunció la primera beta para la versión de Woocommerce 3.4. Es la segunda actualización del año, y aunque es una versión menor, trae alguna cosa interesante, sobre todo porque te ayuda a adaptarte a la nueva normativa de protección de datos (GDPR).

Esta versión beta, estara en pruebas durante las próximas 5 semanas, de forma que el 9 de mayo se empezará con la Versión Release Candidate y estará asi para realizar los últimos ajustes hasta el día 23 de mayo en el que se espera será lanzada.

Pasemos pues a lo que nos depara está versión.

Adapatado a la nueva Ley de protección de datos (GDPR)

Términos de uso en el procesamiento del pedido

Se han añadido herramientas y nuevas características para ayudarte como propietario de una tienda online en el cumplimiento de la nueva normativa y atender as posibles solicitudes por parte de tus clientes. Como he indicado anteriormente, podrás actualizar a esta versión antes de que entre en vigor la ley.

Algunas de las características que se incluyen:

  • Posibilidad de agregar texto de política de privacidad a las páginas de pago y de cuenta desde el personalizador
  • Integración con el exportador en el núcleo de WordPress (próximamente)
  • Herramientas para limpiar (basura) y anonimizar pedidos viejos que no necesitan procesamiento.
  • Herramientas para eliminar campos de algunos campos opcionales en el proceso de pago desde el personalizador.

Integración GeoLite2

WooCommerce utiliza la base de datos MaxMind GeoLite para la geolocalización durante el pago y así seleccionar automáticamente el país correcto del cliente. La base de datos GeoLite ha sido descontinuada por MaxMind , y GeoLite2 es el reemplazo. Esta versión añade soporte e integra WooCommerce con GeoLite2 para garantizar que la geolocalización continúe funcionando correctamente para el futuro previsible. Todo el proceso es automático y no es necesario que el propietario de la tienda realice ninguna otra acción para que la geolocalización funcione correctamente.

La biblioteca que se integra con GeoLite2 requiere una versión mínima de PHP de 5.4. Como paso necesario, WooCommerce no admitirá la geolocalización con GeoLite2 en versiones PHP inferiores a 5.4.

En los sitios que ejecutan esas versiones de PHP, la geolocalización se realizará a través de la API REST. La geolocalización basada en API es un método más lento, y se recomienda que actualice su versión de PHP si está ejecutando una versión de menos de 5.4.

A partir de este lanzamiento, la versión PHP recomendada para WooCommerce es 7.2 .

Widget para la gestión de pedidos en un entorno multisitio

Widget para la gestión de pedidos en un multisitio

WooCommerce 3.4 presenta un nuevo widget en el panel  de la red para instalaciones multisitio. Este widget muestra las órdenes  generadas en la red. Esto permite a los propietarios  de las tiendas ver fácilmente los pedidos que necesitan aplicar alguna acción sin tener que ir y verificar manualmente cada sitio.

¡Esto debería ahorrar mucho tiempo a cualquiera que maneje múltiples tiendas de WooCommerce usando múltiples sitios!

Todo lo demas . . .

Otras características incluyen:

  • Soporte de correo electrónico Wildcard para restricciones de cupones . Al utilizar el carácter comodín, puede configurar cupones restringidos a grupos de direcciones de correo electrónico similares (cuentas de correo electrónico .edu, cuentas de correo electrónico corporativo de un determinado negocio, etc.).
  • Los usuarios ahora pueden establecer su nombre para mostrar en la página Mi cuenta.
  • Mejoras en la búsqueda de productos por parte del administrador , incluido el soporte de palabras prohibidas y la capacidad de buscar múltiples productos en la misma consulta.

Además de las nuevas características, hay una variedad de ajustes menores, nuevos ganchos y arreglos.  Además se han hecho correcciones y cambios en algunos archivos de la plantilla.

Share on facebook
Facebook
Share on google
Google+
Share on twitter
Twitter
Share on linkedin
LinkedIn
Share on pinterest
Pinterest
Share on telegram
Telegram
Share on whatsapp
WhatsApp
Share on email
Email

Esta entrada tiene 3 comentarios

  1. Avatar

    Hola, Ángel: ¿dónde estaría entonces la opción para colocar la casilla de «acepto la política de privacidad» que muestras en la imagen? ¿En qué parte del menú de Woocommerce? Estoy buscando en todas partes (extensiones, integración, finalizar compra…) y no lo encuentro. Lo acabo de actualizar hace un rato -a la versión 3.3.5, la única que me aparece. Gracias!

Deja un comentario

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.

Cerrar menú